#ifndef __STRINGUTIL_H__231456__
#define __STRINGUTIL_H__231456__
#include "systemInc.h"


class CStringUtil
{
public:
	CStringUtil(void);
public:
	~CStringUtil(void);
public:
	//************************************************************
	//*  ģһ                                                   *
	//*  ܣַ                                         *
	//*                                                           *
	//************************************************************
	static void StrSplit(string& sourceStr,vector<string>&,const char strFlag);
	static void StrSplit(string& sourceStr,deque<string>&,const char strFlag);
	static void StrSplit(string& sourceStr,vector<string>&,const char* strflags);
	static string StrTrim(string& sourceStr,const char trimFlag=' ');
	static string StrTrim(string& sourceStr,const char* trimFlags);
	static string StrTrimHeadAndTail(string& sourceStr,const char trimFlag=' ');
	static string&  strReplace(string& sourceStr, const string& findStr, const string& reStr);
	
	//************************************************************
	//*  ģ                                                   *
	//*  ܣַת                                   *
	//*        ַĸʽת                                   *
	//************************************************************ 
    //鹦ܣжһַǷΪ͵ַ
	static bool isNumberChar(const char c);
	static bool isNumberString(string& cStr);
	static bool isNumberString(char* cStr);

	//鹦ܣַ֮ת

	//1.ַתΪֵĺ
	static int strToInteger(string& intStr);
	static int strToInteger(char* intStr);

	static long strToLong(string& longStr);
	static long strToLong(char* longStr);

	static float strToFloat(string& floatStr);
	static float strToFloat(char* floatStr); 

	static double strToDouble(string& doubleStr);
	static double strToDouble(char* doubleStr);

	//2.תΪַĺ

	static char* IntegerToStr(char * dest,int num);
	static string IntegerToStr(int num);

	static char* longToStr(char* dest,long num);
	static string longToStr(long num);

	static char* floatToStr(char* dest,float num);
	static string floatToStr(float num);

	static char* doubleToStr(char* dest,double num);
	static string doubleTostr(double num);
	
	//************************************************************
	//*  ģ                                                   *
	//*  ܣַĲ                                     *
	//*                                                           *
	//************************************************************ 
	static char* stringCopy(char* destin,const char* source,int len);//ַ
	static char* subString(char* source,char* inBuf,int start,int end);//ȡִ
	//static char* subString(char* source,char* inBuf,int start,int len);//ȡִ

	static bool strstring(const char*source,const char*needl);
	static bool strstring(const string source,const string needl);

	static bool strcasestring(const char* source,const char* needl);
	static bool strcasestring(const string source,const string needl);
	static int   strFind(const char* sourceStr, const char* findStr);


	/**
	 * ַȽ
	 *
	 *
	 */

	static bool compare(const char* pStr,const string sStr);

	//************************************************************
	//*  ģ                                               *
	//*  ܣַ                               *
	//*  iErrNO ˵
	//*         -1   ַΪNULL
	//*         1   ַΪ 0
	//*         2   ַг͵ַͲƥ
	//*         3   ַ͵ĴСΧ
	//*
	//*
	//************************************************************
	static bool is09(const char *cStr,int *iErrNO = NULL);
	static bool isaz(const char *cStr,int *iErrNO = NULL);
	static bool isAZ(const char *cStr,int *iErrNO = NULL);
	static bool isAZaz(const char *cStr,int *iErrNO = NULL);
	static bool isAZaz09(const char *cStr,int *iErrNO = NULL);
	static bool isASCII(const char *cStr,int *iErrNO = NULL);
	static bool is01(const char *cStr,int *iErrNO = NULL);
	static bool isInt(const char *cStr,int *iErrNO = NULL);
	static bool isLong(const char *cStr,int *iErrNO = NULL);
	static bool isDouble(const char *cStr,int *iErrNO = NULL);
	static bool isBool(const char *cStr,int *iErrNO = NULL);

};

#endif
